/*
    File:         USBAx881772.h

    Description:  Driver for USBAx8817x USB-To-Ethernet devices

    Copyright:    Copyright 2005, Daniel Sumorok and Peter Sichel
        
    Disclaimer:   This program is free software; you can redistribute it
                  and/or modify it under the terms of the GNU General
                  Public License as published by the Free Software
                  Foundation; either version 2, or (at your option)
                  any later version.

                  This program is distributed in the hope that it will
                  be useful, but WITHOUT ANY WARRANTY; without even
                  the implied warranty of MERCHANTABILITY or FITNESS
                  FOR A PARTICULAR PURPOSE.  See the GNU General
                  Public License for more details.

                  You should have received a copy of the GNU General
                  along with this program; if not, write to the Free
                  Software Foundation, 59 Temple Place - Suite 330,
                  Boston, MA 02111-1307, USA.  Change History (least
                  recent first):

        Change History (most recent first):
        
            <1>         03/25/05        USBPegasusEthernet source
*/

class USBAx88772 : public USBAx8817x {
  // Constructor & Destructor stuff
  OSDeclareDefaultStructors(USBAx88772);
private:
protected:
  virtual int       copyPktToBuffer(mbuf_t mbuf, UInt8 *buf, int len);
  virtual void      receivePacket(UInt32 remaining,
				  IOBufferMemoryDescriptor *inMDP,
				  IOUSBCompletion *completion);
  virtual bool      resetMAC(void);
  virtual void      setMediumStatus(UInt32 selectedMedium);
}; /* end class USBAx88872 */
